Docs
Product Repository APIFilter

Retrieve a filter by IDBeta

Security groups:Rule Engineers
GET
/products/filters/{filterId}

Returns a single Filter resource based on the provided filter ID.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

filterId*string

The unique UUID identifier of the Filter. Must be a valid UUID format.

FormatUUID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/products/filters/string"
{
  "id": "84f4a96f-b135-4af2-858b-17327b631047",
  "name": "Green Salad Filter",
  "description": "Selects products tagged as \"Salad\" or \"Tomato\" and with green veggie color",
  "query": "eclear.productTags[en] %in% (\"Salad\", \"Tomato\") & merchant.veggieColor = \"green\""
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}